(function(exports){
	'use strict'
	
	// Положение конфигурации
	var SERIAL_AT = 0xFFF0;
	
	
	exports.burn = function(firmware, fw_rev) {
		
		ui.progress(0);
		
		// Запрашиваем серийный номер
		var serial = ui.askNumber("Введите серийный номер:", 0, 999999999999999999);
		if (serial === undefined) return "Отменено";
		
		// Читаем файл с прошивкой
		var bin = fs.readBinary(firmware);
		
		// Добавляем серийник
		pack.u64(serial, bin, SERIAL_AT+0);
		
		// Сохраняем файл для прошивки
		fs.writeBinary("tmp/pr_cmt.bin", bin);
		
		// Запускаем программирование
		ui.progress(-1);
		var result=stm32.write("tmp/pr_cmt.bin");
		erp.pr("RWCS-3921", "PR-CMT", fw_rev, serial, result);
		if (! result) return "Ошибка записи в чип";
		
		// Удаляем временный файл
		fs.remove("tmp/pr_cmt.bin");
		
		
		// Успешно
		return "";
	};
	
})(typeof exports === 'undefined' ? this['_pr_cmt_js']={} : exports);
